> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the cloud cost data

> Retrieve cloud cost



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/cost/v1/cloudCost
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/cost/v1/cloudCost:
    get:
      tags:
        - Cost and billing
      summary: Get the cloud cost data
      description: Retrieve cloud cost
      operationId: getCloudCost
      parameters:
        - description: >-
            Duration of time over which to query. Accepts words like today,
            week, month, yesterday, lastweek, lastmonth; durations like 30m,
            12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z
          example: window=3d
          in: query
          name: window
          required: true
          schema:
            type: string
        - description: >-
            Determines which cloud cost metric type will be returned. Acceptable
            values are AmortizedNetCost, InvoicedCost, ListCost, and NetCost.
            Default is AmortizedNetCost.
          in: query
          name: costMetric
          required: false
          schema:
            $ref: '#/components/schemas/CloudCostMetricsV1'
        - description: >-
            Field by which to aggregate the results. Accepts: invoiceEntityID,
            accountID, provider, service, and label:<name>. Supports
            multi-aggregation using comma-separated lists. Example:
            aggregate=accountID,service
          in: query
          name: aggregate
          required: false
          schema:
            type: string
        - description: Filter for account
          in: query
          name: filterInvoiceEntityIDs
          required: false
          schema:
            type: string
        - description: GCP only, filter for projectID
          in: query
          name: filterAccountIDs
          required: false
          schema:
            type: string
        - description: Filter for cloud service provider
          in: query
          name: filterProviders
          required: false
          schema:
            type: string
        - description: Filter for resource-level ID given by CSP
          in: query
          name: filterProvidersID
          required: false
          schema:
            type: string
        - description: Filter for cloud service
          in: query
          name: filterServices
          required: false
          schema:
            type: string
        - description: Filter based on object type
          in: query
          name: filterCategories
          required: false
          schema:
            type: string
        - description: >-
            Filter for a specific label. Does not support filtering for multiple
            labels at once
          in: query
          name: filterLabels
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FreeFormJsonObjectV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    CloudCostMetricsV1:
      description: Determines which cloud cost metric type will be returned
      enum:
        - AmortizedNetCost
        - InvoicedCost
        - ListCost
        - NetCost
      type: string
    FreeFormJsonObjectV1:
      additionalProperties: true
      description: Cloud Cost data
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Get the cloud cost data](/api-reference/cost-and-billing/get-the-cloud-cost-data-1.md)
- [Get the accumulated cloud cost data](/api-reference/cost-and-billing/get-the-accumulated-cloud-cost-data.md)
- [Analyze costs with Domino Cost Center](/cloud/admin/operations/finops/index.md)
- [Cost Calculation Methodology](/cloud/admin/operations/finops/4-cost-calculation-methodology.md)
